Page MenuHomeFreeBSD

Raise BLOCKIF_IOV_MAX to 128.
AbandonedPublic

Authored by jhb on Jan 3 2017, 7:40 PM.

Details

Reviewers
rgrimes
jceel
Group Reviewers
bhyve
Summary

Windows uses at least 67 virtio descriptors (as seen in gdb) and qemu also supports 128.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 6550

Event Timeline

jceel updated this revision to Diff 23582.Jan 3 2017, 7:40 PM
jceel retitled this revision from to Raise BLOCKIF_IOV_MAX to 128. .
jceel updated this object.
jceel edited the test plan for this revision. (Show Details)
jceel added a reviewer: grehan.
jceel set the repository for this revision to rS FreeBSD src repository.
grehan edited edge metadata.Jan 3 2017, 7:44 PM

I don't think it's that simple (already tried - see r282922 and the subsequent backout in r283168)

Let me dig up the patch I have and see what else was changed.

jceel added a comment.Jan 3 2017, 7:47 PM

I'd be glad to hear what else needs to be changed - I applied that patch in freenas/os tree about a month ago and heard from several users that it fixed virtio-blk on Windows for them, but maybe they didn't push it hard enough.

grehan added a comment.Jan 3 2017, 7:50 PM

It fixes Windows but breaks other guests.

rgrimes edited reviewers, added: bhyve; removed: grehan, rgrimes.Jun 9 2018, 12:04 PM

Unclear why phabricator does the remove of reviewers when I try to add group bhyve, restore grehan caused by that in last change.

rgrimes removed a reviewer: grehan.Feb 20 2019, 5:57 PM
jhb commandeered this revision.May 3 2019, 4:52 PM
jhb added a reviewer: jceel.
jhb added a subscriber: jhb.

Commandeering so I can close this. A similar fix was committed in rS347033.

jhb abandoned this revision.May 3 2019, 4:53 PM